import { NameAndWireValue, dynamic } from '@fern-fern/ir-sdk/api';

/**
 * A discriminated union type instance that can be converted into a language-specific AST node.
 */
interface DiscriminatedUnionTypeInstance {
    discriminantValue: NameAndWireValue;
    singleDiscriminatedUnionType: dynamic.SingleDiscriminatedUnionType;
    value: unknown;
}

export type { DiscriminatedUnionTypeInstance };
